package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsStoreShopStaff;

/**
 * 门店店员Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsStoreShopStaffService 
{
    /**
     * 查询门店店员
     * 
     * @param id 门店店员ID
     * @return 门店店员
     */
    public FsStoreShopStaff selectFsStoreShopStaffById(Long id);

    /**
     * 查询门店店员列表
     * 
     * @param fsStoreShopStaff 门店店员
     * @return 门店店员集合
     */
    public List<FsStoreShopStaff> selectFsStoreShopStaffList(FsStoreShopStaff fsStoreShopStaff);

    /**
     * 新增门店店员
     * 
     * @param fsStoreShopStaff 门店店员
     * @return 结果
     */
    public int insertFsStoreShopStaff(FsStoreShopStaff fsStoreShopStaff);

    /**
     * 修改门店店员
     * 
     * @param fsStoreShopStaff 门店店员
     * @return 结果
     */
    public int updateFsStoreShopStaff(FsStoreShopStaff fsStoreShopStaff);

    /**
     * 批量删除门店店员
     * 
     * @param ids 需要删除的门店店员ID
     * @return 结果
     */
    public int deleteFsStoreShopStaffByIds(Long[] ids);

    /**
     * 删除门店店员信息
     * 
     * @param id 门店店员ID
     * @return 结果
     */
    public int deleteFsStoreShopStaffById(Long id);
}
